import { NotFound } from './not_found';
export class AppNotFound extends NotFound {
    constructor({ appName }) {
        super(`No application found named '${appName}'.`);
        // set stacktrace
        Error.captureStackTrace(this, AppNotFound);
        // Set prototype to make instanceOf enabled
        Object.setPrototypeOf(this, AppNotFound.prototype);
    }
}
//# sourceMappingURL=app_not_found.js.map