import { NotFound } from './not_found';
export class EnvNotFound extends NotFound {
    constructor({ appName, envName }) {
        super(`No environment found '${appName}/${envName}'.`);
        // set stacktrace
        Error.captureStackTrace(this, EnvNotFound);
        // Set prototype to make instanceOf enabled
        Object.setPrototypeOf(this, EnvNotFound.prototype);
    }
}
//# sourceMappingURL=env_not_found.js.map