import { NotFound } from './not_found';
export class ConfigNotFound extends NotFound {
    constructor({ appName, envName, key, }) {
        super(`No configuration key found '${appName}/${envName}/${key}'.`);
        // set stacktrace
        Error.captureStackTrace(this, ConfigNotFound);
        // Set prototype to make instanceOf enabled
        Object.setPrototypeOf(this, ConfigNotFound.prototype);
    }
}
//# sourceMappingURL=key_not_found.js.map