import { ApplicationError } from 'error-lib';
export class NotFound extends ApplicationError {
    constructor(message) {
        super(message !== null && message !== void 0 ? message : 'Requested entity was not found', undefined, {
            code: 'E_NOT_FOUND',
        });
        // set stacktrace
        Error.captureStackTrace(this, NotFound);
        // Set prototype to make instanceOf enabled
        Object.setPrototypeOf(this, NotFound.prototype);
    }
}
//# sourceMappingURL=not_found.js.map